package mobos.leoss.si.qsystemmobileapp.SupportClasses;

import android.app.Activity;
import android.support.annotation.NonNull;
import android.widget.Toast;

import java.io.IOException;

import retrofit2.Response;

/**
 * Created by janez on 9.1.2018.
 */


public class CommonFunctions {

    public static boolean requestIsErrorJson(@NonNull Activity activity, @NonNull Response response) {
        //Najprej pogledam ali je strežnik odgovoril z napako
        String errorJson = "";
        try {
            if (response.errorBody() != null)
                errorJson = response.errorBody().string();
        } catch (IOException ignored) {
        }

        //Če napake ni obdelam odgovor strežnika in nadaljujem
        if (errorJson.isEmpty()) {
            return false;
        } else if (!errorJson.isEmpty()) {
            //Če strežnik vrne business logic napako, jo prikažem
            Toast.makeText(activity, String.format("Zgodila se je napaka: %s", errorJson), Toast.LENGTH_LONG).show();
        }
        return true;
    }
}
